Subject: [bug#71968] [PATCH v7 0/3] fastfetch: Unbundle yyjson, update and package improvements

From: Dariqq <[email-masked]>
Date: Wed, 20 Nov 2024 08:32:13 +0000

In the rare case that someone is reading this, I rebased things again and bumped the fastfetch version to the latest version.

I simplified things a bit by doing the unbundling of yyjson and the package update in the same commit s.t. I don't have to add the previous yyjson version as well.

* The package currently is violating the guix packaging guidelines by bundling dependencies
* Some of the optional features that are currently enabled don't work because fastfetch wants to dlopen the relevant so at runtime:
Look at 'fastfetch -c all --show-errors' and observe e.g.
Media: Failed to load DBus library
OpenGL: dlopen egl failed

To avoid writing out a wrapper for LD_LIBRARY_PATH I am changing to dynamic linking instead (which also makes it easier if others want to create a variant that has more stuff enabled)

Lastly overwriting the path to pci.ids and amdgpu.ids , the default paths assume a FHS layout.

Dariqq (3):
  gnu: Add yyjson.
  gnu: fastfetch: Update to 2.30.1.
  gnu: fastfetch: Add more configure flags.

 gnu/packages/admin.scm | 26 ++++++++++++++++++++++----
 gnu/packages/c.scm     | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+), 4 deletions(-)

base-commit: 129641fcd2956d6c571b792efe703da545f18c0a
-- 
2.46.0